@echo off
rem ******************************************************************************
rem 
rem (c) 2004 by BECK IPC GmbH
rem 
rem BECK IPC GmbH
rem Garbenheimerstr. 36-38
rem D-35578 Wetzlar
rem 
rem Phone: (49)-6441-905-0
rem Fax:   (49)-6441-905-245
rem 
rem ******************************************************************************
rem 
rem Module:   setup.bat
rem Function: This script will set up Postmake.
rem           The file personal.spp in your BC script-directory will be
rem           supplemented so that the Postmake-script will be automaticly
rem           loaded at startup of BC.
rem           Call this script from the following directory:
rem           {BCROOT}\postmake
rem 
rem ******************************************************************************



rem ******************************************************************************
rem Say hello
rem ******************************************************************************
echo --------------------------------------------------
echo Postmake Setup
echo --------------------------------------------------
echo.
echo Postmake will now be set up.
echo The file ..\script\personal.spp will therefor be supplemented.
echo If you have already done this, please press CTRL+C now to abort.
echo.
pause



rem ******************************************************************************
rem Supplement ..\script\personal.spp
rem ******************************************************************************
echo. >> ..\script\personal.spp
echo /****************************************************************************** >> ..\script\personal.spp
echo * The following lines have been added by Postmake setup. >> ..\script\personal.spp
echo * The Postmake-script will be loaded into the script-engine. >> ..\script\personal.spp
echo ******************************************************************************/ >> ..\script\personal.spp

rem Only import IDE if it isn't already imported
find /n /i "import IDE;" ..\script\personal.spp | rem
if errorlevel 1 echo import IDE; >> ..\script\personal.spp
echo if( !( new ScriptEngine().Load( "..\\postmake\\postmake" ) ) ) >> ..\script\personal.spp
echo   IDE.Message( "Error: Module postmake could not be found. Please make sure it is available and try again." ); >> ..\script\personal.spp



rem ******************************************************************************
rem Done
rem ******************************************************************************
echo Done.
echo.
pause



rem End of file
